Pular para o conteúdo principal
GET
/
v1
/
recurrences
/
payer
/
authorizations
/
{authorizationId}
/
charges
Listar cobranças do Pix Automático por autorização
curl --request GET \
  --url https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorizations/{authorizationId}/charges \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-Id: <x-account-id>'
import requests

url = "https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorizations/{authorizationId}/charges"

headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};

fetch('https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorizations/{authorizationId}/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "accountId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
      "amount": "29.90",
      "attemptCount": 1,
      "attempts": [
        {
          "attemptedAt": "2023-11-07T05:31:56Z",
          "dayIndex": 0,
          "endToEndId": "E30306294202606241200abcdef00001",
          "failureCode": "DEBIT_FAILED",
          "failureMessage": "The debit attempt could not be completed.",
          "outcome": "EXECUTED",
          "scheduleId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
          "scheduledFor": "2026-04-24T03:00:00Z"
        }
      ],
      "authorizationId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
      "authorizationRequestId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
      "cancelledAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "currentDayIndex": 0,
      "currentScheduleId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
      "dueDate": "2026-04-25",
      "executedAt": "2023-11-07T05:31:56Z",
      "externalChargeId": "90d0b9e1551447f695985409bf9b7fb5",
      "failedAt": "2023-11-07T05:31:56Z",
      "failureCode": "CHARGE_REJECTED",
      "id": "019cf6ef-e418-7ced-80c0-7b9816faa798",
      "journey": "J4",
      "maxAttempts": 4,
      "recurrenceId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
      "status": "SCHEDULED",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "limit": 10,
  "page": 1,
  "total": 42
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cabeçalhos

X-Account-Id
string
obrigatório

Identificador único da Conta do Ledger Midaz (formato UUID).

Parâmetros de caminho

authorizationId
string
obrigatório

ID da autorização (formato UUID)

Parâmetros de consulta

limit
integer
padrão:10

Número máximo de itens por página.

Intervalo obrigatório: 1 <= x <= 100
page
integer
padrão:1

Número da página para paginação.

Intervalo obrigatório: x >= 1
status
enum<string>

Filtrar por status

Opções disponíveis:
RECEIVED,
SCHEDULED,
EXECUTED,
FAILED,
CANCELLED
start_date
string<date-time>

Limite inferior ISO 8601 UTC de createdAt

end_date
string<date-time>

Limite superior ISO 8601 UTC de createdAt

sort_order
enum<string>
padrão:asc

Direção da ordenação: asc ou desc.

Opções disponíveis:
asc,
desc

Resposta

OK

items
object[]
limit
integer
Exemplo:

10

page
integer
Exemplo:

1

total
integer
Exemplo:

42